//+------------------------------------------------------------------+
//|                                                  3_Yuny_info.mq4 |
//|                                                             Yuny |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Yuny"
#property link      ""

#property indicator_chart_window

extern double lotSize = 0.02;
extern string Pair2 = "GBPUSD";
extern string Pair3 = "EURGBP";
extern int vol_cPeriod = 48;


int init()
  {
   return(0);
  }

int deinit()
  {

   return(0);
  }

int start()
  { 
   ObjectDelete("price");
   ObjectCreate("price", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("price", DoubleToStr(MarketInfo(Symbol(), MODE_BID), Digits), 10, "Arial", Gold);
   ObjectSet("price", OBJPROP_CORNER, 1);
   ObjectSet("price", OBJPROP_XDISTANCE, 90);
   ObjectSet("price", OBJPROP_YDISTANCE,2);
   
   ObjectDelete("spread");
   ObjectCreate("spread", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread", "spread", 8, "Arial", SkyBlue);
   ObjectSet("spread", OBJPROP_CORNER, 1);
   ObjectSet("spread", OBJPROP_XDISTANCE, 35);
   ObjectSet("spread", OBJPROP_YDISTANCE, 12);
   ObjectDelete("spread1");
   ObjectCreate("spread1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread1", "" + DoubleToStr((Ask - Bid) / Point, Digits - 4) + "", 8, "Arial Bold", Gold);
   ObjectSet("spread1", OBJPROP_CORNER, 1);
   ObjectSet("spread1", OBJPROP_XDISTANCE, 2);
   ObjectSet("spread1", OBJPROP_YDISTANCE, 12);
   
   string l_dbl2str_840 = "";
   string l_dbl2str_856 = "";
   string ls_unused_872 = "";
   color l_color_896;
   double l_iopen_904 = iOpen(NULL, PERIOD_D1, 0);
   double l_iclose_912 = iClose(NULL, PERIOD_D1, 0);
   double l_ihigh_928 = iHigh(NULL, PERIOD_D1, 0);
   double l_ilow_936 = iLow(NULL, PERIOD_D1, 0);
   l_dbl2str_840 = DoubleToStr((l_iclose_912 - l_iopen_904) / Point, 0);
   l_dbl2str_856 = DoubleToStr((l_ihigh_928 - l_ilow_936) / Point, 0);     
   if (l_iclose_912 >= l_iopen_904) {
      ls_unused_872 = "-";
      l_color_896 = Lime;
   }
   if (l_iclose_912 < l_iopen_904) {
      ls_unused_872 = "-";
      l_color_896 = Red;
   }
      
   ObjectDelete("pips_to_open");
   ObjectCreate("pips_to_open", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("pips_to_open", "pips to open", 8, "Arial", SkyBlue);
   ObjectSet("pips_to_open", OBJPROP_CORNER, 1);
   ObjectSet("pips_to_open", OBJPROP_XDISTANCE, 35);
   ObjectSet("pips_to_open", OBJPROP_YDISTANCE, 22);
   ObjectDelete("pips_to_open1");
   ObjectCreate("pips_to_open1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("pips_to_open1", "" + l_dbl2str_840 + "", 8, "Arial Bold", l_color_896);
   ObjectSet("pips_to_open1", OBJPROP_CORNER, 1);
   ObjectSet("pips_to_open1", OBJPROP_XDISTANCE, 2);
   ObjectSet("pips_to_open1", OBJPROP_YDISTANCE, 22);
   
   ObjectDelete("hi_to_low");
   ObjectCreate("hi_to_low", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("hi_to_low", "hi to low", 8, "Arial", SkyBlue);
   ObjectSet("hi_to_low", OBJPROP_CORNER, 1);
   ObjectSet("hi_to_low", OBJPROP_XDISTANCE, 35);
   ObjectSet("hi_to_low", OBJPROP_YDISTANCE, 32);
   ObjectDelete("hi_to_low1");
   ObjectCreate("hi_to_low1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("hi_to_low1", "" + l_dbl2str_856 + "", 8, "Arial Bold", Gold);
   ObjectSet("hi_to_low1", OBJPROP_CORNER, 1);
   ObjectSet("hi_to_low1", OBJPROP_XDISTANCE, 2);
   ObjectSet("hi_to_low1", OBJPROP_YDISTANCE, 32);
   
   int li_792 = 0;
   int li_796 = 0;
   int li_800 = 0;
   int li_804 = 0;
   int li_808 = 0;
   int li_812 = 0;
   li_792 = (iHigh(NULL, PERIOD_D1, 1) - iLow(NULL, PERIOD_D1, 1)) / Point;
   for (li_812 = 1; li_812 <= 5; li_812++) li_796 = li_796 + (iHigh(NULL, PERIOD_D1, li_812) - iLow(NULL, PERIOD_D1, li_812)) / Point;
   for (li_812 = 1; li_812 <= 10; li_812++) li_800 = li_800 + (iHigh(NULL, PERIOD_D1, li_812) - iLow(NULL, PERIOD_D1, li_812)) / Point;
   for (li_812 = 1; li_812 <= 20; li_812++) li_804 = li_804 + (iHigh(NULL, PERIOD_D1, li_812) - iLow(NULL, PERIOD_D1, li_812)) / Point;
   li_796 /= 5;
   li_800 /= 10;
   li_804 /= 20;
   string l_dbl2str_848 = "";
   string ls_unused_880 = "";
   string ls_888 = "";
   color l_color_900;
   li_808 = (li_792 + li_796 + li_800 + li_804) / 4;
   l_dbl2str_848 = DoubleToStr(li_808, Digits - 4);
   if (l_dbl2str_848 >= ls_888)
    {
      ls_unused_880 = "-";
      l_color_900 = Lime;
   }
   if (l_dbl2str_848 < ls_888) 
   {
      ls_unused_880 = "-";
      l_color_900 = OrangeRed;
   }
   
   ObjectDelete("daily_av");
   ObjectCreate("daily_av", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("daily_av", "daily av", 8, "Arial", SkyBlue);
   ObjectSet("daily_av", OBJPROP_CORNER, 1);
   ObjectSet("daily_av", OBJPROP_XDISTANCE, 35);
   ObjectSet("daily_av", OBJPROP_YDISTANCE, 42);
   ObjectDelete("daily_av1");
   ObjectCreate("daily_av1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("daily_av1", "" + l_dbl2str_848 + "", 8, "Arial Bold", l_color_900);
   ObjectSet("daily_av1", OBJPROP_CORNER, 1);
   ObjectSet("daily_av1", OBJPROP_XDISTANCE, 2);
   ObjectSet("daily_av1", OBJPROP_YDISTANCE, 42);
   
   ObjectDelete("volatilita");
   ObjectCreate("volatilita", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("volatilita", "volatilita "+vol_cPeriod+" per", 8, "Arial", SkyBlue);
   ObjectSet("volatilita", OBJPROP_CORNER, 1);
   ObjectSet("volatilita", OBJPROP_XDISTANCE, 35);
   ObjectSet("volatilita", OBJPROP_YDISTANCE, 52);
   ObjectDelete("volatilita1");
   ObjectCreate("volatilita1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("volatilita1", "" + DoubleToStr((iMA(Symbol (), 0, vol_cPeriod, 0, MODE_SMA, PRICE_HIGH, 0) - iMA(Symbol(), 0, vol_cPeriod, 0, MODE_SMA, PRICE_LOW, 0)) * MathPow(10, MarketInfo(Symbol (), MODE_DIGITS)),2) + "" , 8, "Arial Bold", Gold);
   ObjectSet("volatilita1", OBJPROP_CORNER, 1);
   ObjectSet("volatilita1", OBJPROP_XDISTANCE, 2);
   ObjectSet("volatilita1", OBJPROP_YDISTANCE, 52);
 
   ObjectDelete("pip_value");
   ObjectCreate("pip_value", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("pip_value", "pip value", 8, "Arial", SkyBlue);
   ObjectSet("pip_value", OBJPROP_CORNER, 1);
   ObjectSet("pip_value", OBJPROP_XDISTANCE, 35);
   ObjectSet("pip_value", OBJPROP_YDISTANCE, 65);
   ObjectDelete("pip_value1");
   ObjectCreate("pip_value1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("pip_value1", "" + DoubleToStr(((MarketInfo(Symbol(), MODE_TICKVALUE)*lotSize)),2) + "" , 8, "Arial Bold", Silver);
   ObjectSet("pip_value1", OBJPROP_CORNER, 1);
   ObjectSet("pip_value1", OBJPROP_XDISTANCE, 2);
   ObjectSet("pip_value1", OBJPROP_YDISTANCE, 65);
   
   ObjectDelete("marze");
   ObjectCreate("marze", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("marze", "mare", 8, "Arial", SkyBlue);
   ObjectSet("marze", OBJPROP_CORNER, 1);
   ObjectSet("marze", OBJPROP_XDISTANCE, 35);
   ObjectSet("marze", OBJPROP_YDISTANCE, 75);
   ObjectDelete("marze1");
   ObjectCreate("marze1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("marze1", "" + DoubleToStr((MarketInfo(Symbol(), MODE_MARGINREQUIRED) * lotSize),1) + "" , 8, "Arial Bold", Silver);
   ObjectSet("marze1", OBJPROP_CORNER, 1);
   ObjectSet("marze1", OBJPROP_XDISTANCE, 2);
   ObjectSet("marze1", OBJPROP_YDISTANCE, 75);
      
   ObjectDelete("swap");
   ObjectCreate("swap", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("swap", "swap", 8, "Arial", SkyBlue);
   ObjectSet("swap", OBJPROP_CORNER, 1);
   ObjectSet("swap", OBJPROP_XDISTANCE, 55);
   ObjectSet("swap", OBJPROP_YDISTANCE, 85);
   ObjectDelete("swap1");
   ObjectCreate("swap1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("swap1", "" + DoubleToStr(MarketInfo(Symbol(), MODE_SWAPLONG), 2)+"/"+DoubleToStr(MarketInfo(Symbol(), MODE_SWAPSHORT), 2) + "" , 8, "Arial Bold", Silver);
   ObjectSet("swap1", OBJPROP_CORNER, 1);
   ObjectSet("swap1", OBJPROP_XDISTANCE, 2);
   ObjectSet("swap1", OBJPROP_YDISTANCE, 85);
  
   double v_1 = (iMA(Symbol (), 0, vol_cPeriod, 0, MODE_SMA, PRICE_HIGH, 0) - iMA(Symbol(), 0, vol_cPeriod, 0, MODE_SMA, PRICE_LOW, 0)) * MathPow(10, MarketInfo(Symbol (), MODE_DIGITS));
   double v_2 = (iMA(Pair2, 0, vol_cPeriod, 0, MODE_SMA, PRICE_HIGH, 0) - iMA(Pair2, 0, vol_cPeriod, 0, MODE_SMA, PRICE_LOW, 0)) * MathPow(10, MarketInfo(Pair2, MODE_DIGITS));
   double v_3 = (iMA(Pair3, 0, vol_cPeriod, 0, MODE_SMA, PRICE_HIGH, 0) - iMA(Pair3, 0, vol_cPeriod, 0, MODE_SMA, PRICE_LOW, 0)) * MathPow(10, MarketInfo(Pair3, MODE_DIGITS));
   double p_1 = MarketInfo(Symbol(), MODE_TICKVALUE) / (MarketInfo(Symbol(), MODE_TICKSIZE) / MarketInfo(Symbol(), MODE_POINT));
   double p_2 = MarketInfo(Pair2, MODE_TICKVALUE) / (MarketInfo(Pair2, MODE_TICKSIZE) / MarketInfo(Pair2, MODE_POINT));
   double p_3 = MarketInfo(Pair3, MODE_TICKVALUE) / (MarketInfo(Pair3, MODE_TICKSIZE) / MarketInfo(Pair3, MODE_POINT));
   double c_1 = MarketInfo(Symbol(), MODE_BID);
   double c_2 = MarketInfo(Pair2, MODE_BID);
   double c_3 = MarketInfo(Pair3, MODE_BID);
   double kv_11 = v_1 / v_2;
   double kv_12 = v_1 / v_3;
   double kv_13 = v_2 / v_3;
   double kv_14 = (kv_11 + kv_12 + kv_13)/3;
   double kp_21 = p_1 / p_2;
   double kp_22 = p_1 / p_3;
   double kp_23 = p_2 / p_3;
   double kp_24 = (kp_21 + kp_22 + kp_23)/3;
   double kc_30 = c_1 + c_2;                   // pokus ala donny - jedna strana = druh strana
   double kc_31 = kc_30/c_3;                   // pokus ala donny
   double kc_32 = lotSize/c_1;                 // pokus ala donny
   double kl_41 = (kv_11 * kp_21) * lotSize;
   double kl_42 = (kv_12 * kp_22) * lotSize;
   double kl_43 = (kv_13 * kp_23) * lotSize;                 
         
   double l_1 = lotSize;
   double l_2 = (kv_11 * kp_21) * lotSize;
   double l_3 = kl_42 + kl_43;
   double l_4 = lotSize;
   double l_5 = (kv_12 * kp_22) * lotSize;
   double l_6 = kl_41 + kl_43;
   double l_7 = (kv_11 * kp_21) * lotSize;
   double l_8 = (kv_12 * kp_22) * lotSize;
   double l_9 = kl_41 + kl_42;
   double pr_1 = MarketInfo(Symbol(), MODE_MARGINREQUIRED) * lotSize;
   double pr_2 = MarketInfo(Pair2, MODE_MARGINREQUIRED) * lotSize;
   double pr_3 = MarketInfo(Pair3, MODE_MARGINREQUIRED) * lotSize;
   double pr_4 = l_1 + l_2 + l_3;
   double pr_5 = l_4 + l_5 + l_6;
   double pr_6 = l_7 + l_8 + l_9;
   double profit1 = (pr_1 + pr_2 + pr_3) * pr_4;             //l_1 + l_2 + l_3 ; (p_1+p_2+p_3)/3
   double profit2 = (pr_1 + pr_2 + pr_3) * pr_5;
   double profit3 = (pr_1 + pr_2 + pr_3) * pr_6;
      
   ObjectDelete("lots");
   ObjectCreate("lots", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("lots", "hedge lots", 8, "Arial", LimeGreen);
   ObjectSet("lots", OBJPROP_CORNER, 1);
   ObjectSet("lots", OBJPROP_XDISTANCE, 15);
   ObjectSet("lots", OBJPROP_YDISTANCE, 100);
   
   ObjectDelete("p1");
   ObjectCreate("p1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p1","p1 " + Symbol(), 8, "Arial", PaleGreen);
   ObjectSet("p1", OBJPROP_CORNER, 1);
   ObjectSet("p1", OBJPROP_XDISTANCE, 30);
   ObjectSet("p1", OBJPROP_YDISTANCE, 112);
   ObjectDelete("p11");
   ObjectCreate("p11", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p11", "" + DoubleToStr(l_1,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p11", OBJPROP_CORNER, 1);
   ObjectSet("p11", OBJPROP_XDISTANCE, 2);
   ObjectSet("p11", OBJPROP_YDISTANCE, 112);
   
   ObjectDelete("p2");
   ObjectCreate("p2", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p2","p2 " + Pair2, 8, "Arial", PaleGreen);
   ObjectSet("p2", OBJPROP_CORNER, 1);
   ObjectSet("p2", OBJPROP_XDISTANCE, 30);
   ObjectSet("p2", OBJPROP_YDISTANCE, 124);
   ObjectDelete("p21");
   ObjectCreate("p21", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p21", "" + DoubleToStr(l_2,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p21", OBJPROP_CORNER, 1);
   ObjectSet("p21", OBJPROP_XDISTANCE, 2);
   ObjectSet("p21", OBJPROP_YDISTANCE, 124);
   
   ObjectDelete("p3");
   ObjectCreate("p3", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p3","p3 " + Pair3, 8, "Arial", LimeGreen);
   ObjectSet("p3", OBJPROP_CORNER, 1);
   ObjectSet("p3", OBJPROP_XDISTANCE, 30);
   ObjectSet("p3", OBJPROP_YDISTANCE, 136);
   ObjectDelete("p31");
   ObjectCreate("p31", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p31", "" + DoubleToStr(l_3,2) + "" , 8, "Arial Bold", DodgerBlue);
   ObjectSet("p31", OBJPROP_CORNER, 1);
   ObjectSet("p31", OBJPROP_XDISTANCE, 2);
   ObjectSet("p31", OBJPROP_YDISTANCE, 136);
   
   ObjectDelete("p4");
   ObjectCreate("p4", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p4","p1 " + Symbol(), 8, "Arial", PaleGreen);
   ObjectSet("p4", OBJPROP_CORNER, 1);
   ObjectSet("p4", OBJPROP_XDISTANCE, 30);
   ObjectSet("p4", OBJPROP_YDISTANCE, 154);
   ObjectDelete("p41");
   ObjectCreate("p41", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p41", "" + DoubleToStr(l_4,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p41", OBJPROP_CORNER, 1);
   ObjectSet("p41", OBJPROP_XDISTANCE, 2);
   ObjectSet("p41", OBJPROP_YDISTANCE, 154);
   
   ObjectDelete("p5");
   ObjectCreate("p5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p5","p2 " + Pair3, 8, "Arial", PaleGreen);
   ObjectSet("p5", OBJPROP_CORNER, 1);
   ObjectSet("p5", OBJPROP_XDISTANCE, 30);
   ObjectSet("p5", OBJPROP_YDISTANCE, 166);
   ObjectDelete("p51");
   ObjectCreate("p51", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p51", "" + DoubleToStr(l_5,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p51", OBJPROP_CORNER, 1);
   ObjectSet("p51", OBJPROP_XDISTANCE, 2);
   ObjectSet("p51", OBJPROP_YDISTANCE, 166);
   
   ObjectDelete("p6");
   ObjectCreate("p6", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p6","p3 " + Pair2, 8, "Arial", LimeGreen);
   ObjectSet("p6", OBJPROP_CORNER, 1);
   ObjectSet("p6", OBJPROP_XDISTANCE, 30);
   ObjectSet("p6", OBJPROP_YDISTANCE, 178);
   ObjectDelete("p61");
   ObjectCreate("p61", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p61", "" + DoubleToStr(l_6,2) + "" , 8, "Arial Bold", DodgerBlue);
   ObjectSet("p61", OBJPROP_CORNER, 1);
   ObjectSet("p61", OBJPROP_XDISTANCE, 2);
   ObjectSet("p61", OBJPROP_YDISTANCE, 178);
   
   ObjectDelete("p7");
   ObjectCreate("p7", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p7","p1 " + Pair2, 8, "Arial", PaleGreen);
   ObjectSet("p7", OBJPROP_CORNER, 1);
   ObjectSet("p7", OBJPROP_XDISTANCE, 30);
   ObjectSet("p7", OBJPROP_YDISTANCE, 196);
   ObjectDelete("p71");
   ObjectCreate("p71", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p71", "" + DoubleToStr(l_7,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p71", OBJPROP_CORNER, 1);
   ObjectSet("p71", OBJPROP_XDISTANCE, 2);
   ObjectSet("p71", OBJPROP_YDISTANCE, 196);
   
   ObjectDelete("p8");
   ObjectCreate("p8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p8","p2 " + Pair3, 8, "Arial", PaleGreen);
   ObjectSet("p8", OBJPROP_CORNER, 1);
   ObjectSet("p8", OBJPROP_XDISTANCE, 30);
   ObjectSet("p8", OBJPROP_YDISTANCE, 208);
   ObjectDelete("p81");
   ObjectCreate("p81", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p81", "" + DoubleToStr(l_8,2) + "" , 8, "Arial Bold", SkyBlue);
   ObjectSet("p81", OBJPROP_CORNER, 1);
   ObjectSet("p81", OBJPROP_XDISTANCE, 2);
   ObjectSet("p81", OBJPROP_YDISTANCE, 208);
   
   ObjectDelete("p9");
   ObjectCreate("p9", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p9","p3 " + Symbol(), 8, "Arial", LimeGreen);
   ObjectSet("p9", OBJPROP_CORNER, 1);
   ObjectSet("p9", OBJPROP_XDISTANCE, 30);
   ObjectSet("p9", OBJPROP_YDISTANCE, 220);
   ObjectDelete("p91");
   ObjectCreate("p91", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("p91", "" + DoubleToStr(l_9,2) + "" , 8, "Arial Bold", DodgerBlue);
   ObjectSet("p91", OBJPROP_CORNER, 1);
   ObjectSet("p91", OBJPROP_XDISTANCE, 2);
   ObjectSet("p91", OBJPROP_YDISTANCE, 220);
   
   ObjectDelete("profit1");
   ObjectCreate("profit1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit1","profit 1", 8, "Arial", DarkOrange);
   ObjectSet("profit1", OBJPROP_CORNER, 1);
   ObjectSet("profit1", OBJPROP_XDISTANCE, 32);
   ObjectSet("profit1", OBJPROP_YDISTANCE, 235);
   ObjectDelete("profit11");
   ObjectCreate("profit11", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit11", "" + DoubleToStr(profit1,0) + "" , 8, "Arial Bold", Gold);
   ObjectSet("profit11", OBJPROP_CORNER, 1);
   ObjectSet("profit11", OBJPROP_XDISTANCE, 2);
   ObjectSet("profit11", OBJPROP_YDISTANCE, 235);
   
   ObjectDelete("profit2");
   ObjectCreate("profit2", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit2","profit 2", 8, "Arial", DarkOrange);
   ObjectSet("profit2", OBJPROP_CORNER, 1);
   ObjectSet("profit2", OBJPROP_XDISTANCE, 32);
   ObjectSet("profit2", OBJPROP_YDISTANCE, 245);
   ObjectDelete("profit21");
   ObjectCreate("profit21", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit21", "" + DoubleToStr(profit2,0) + "" , 8, "Arial Bold", Gold);
   ObjectSet("profit21", OBJPROP_CORNER, 1);
   ObjectSet("profit21", OBJPROP_XDISTANCE, 2);
   ObjectSet("profit21", OBJPROP_YDISTANCE, 245);
   
   ObjectDelete("profit3");
   ObjectCreate("profit3", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit3","profit 3", 8, "Arial", DarkOrange);
   ObjectSet("profit3", OBJPROP_CORNER, 1);
   ObjectSet("profit3", OBJPROP_XDISTANCE, 32);
   ObjectSet("profit3", OBJPROP_YDISTANCE, 255);
   ObjectDelete("profit31");
   ObjectCreate("profit31", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("profit31", "" + DoubleToStr(profit3,0) + "" , 8, "Arial Bold", Gold);
   ObjectSet("profit31", OBJPROP_CORNER, 1);
   ObjectSet("profit31", OBJPROP_XDISTANCE, 2);
   ObjectSet("profit31", OBJPROP_YDISTANCE, 255);
  
   int    counted_bars=IndicatorCounted();
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+